Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.application
Class MiningMartDrawing

    java.lang.Object
      org.jhotdraw.standard.AbstractFigure
          org.jhotdraw.standard.CompositeFigure
              org.jhotdraw.standard.StandardDrawing
                  org.musoft.limo.drawing.ModelDrawing
                      edu.udo.cs.miningmart.gui.application.MiningMartDrawing

All Implemented Interfaces:
  java.lang.Cloneable, org.jhotdraw.framework.Drawing, java.util.EventListener, org.jhotdraw.framework.Figure, org.jhotdraw.framework.FigureChangeListener, org.musoft.limo.model.ModelListener, java.io.Serializable, org.jhotdraw.util.Storable

public class MiningMartDrawing
extends org.musoft.limo.drawing.ModelDrawing
implements org.musoft.limo.model.ModelListener

This is the `ModelDrawing` for MiningMart. You can add figures for `ModelFigureElement`s and `ModelConnection`s.

Version:
  $Id: MiningMartDrawing.java,v 1.3 2006/04/11 14:10:16 euler Exp $
Author:
  Daniel Hakenjos
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jhotdraw.standard.CompositeFigure
`_nHighestZ, _nLowestZ, fFigures`

Fields inherited from interface org.jhotdraw.framework.Figure
`POPUP_MENU`

Constructor Summary
`MiningMartDrawing(MiningMartApplication app, MiningMartCase root)` Constructor for MiningMartDrawing.
`MiningMartDrawing(MiningMartApplication app, MiningMartChain root)` Constructor for MiningMartDrawing.
`MiningMartDrawing(MiningMartApplication app, MiningMartConcepts root)` Constructor for MiningMartConcepts.

Method Summary
`void` | `onCreateChild(org.musoft.limo.model.ModelFigureElement sender, org.musoft.limo.model.ModelElement child)`
`void` | `onCreateConnection(org.musoft.limo.model.Model model, org.musoft.limo.model.ModelConnectionElement connection)`
`void` | `onDestroy(org.musoft.limo.model.ModelElement sender)`

Methods inherited from class org.musoft.limo.drawing.ModelDrawing
`containsNoFigures, destroy, getConnectionFigure, getElementFigure, getModel, onAddAssociate, onAddChild, onRemoveAssociate, onRemoveChild, onSetAttribute, onSetAttribute, onSetBounds, onSetConnectionEnd, onSetConnectionPoints, onSetConnectionStart, onSetDirty, onSetName, onSetParent, onSetPosition, orphan, putConnectionFigure, putElementFigure`

Methods inherited from class org.jhotdraw.standard.StandardDrawing
`add, addDrawingChangeListener, basicDisplayBox, displayBox, drawingChangeListeners, figureInvalidated, figureRequestUpdate, fireDrawingTitleChanged, getTitle, handles, lock, removeDrawingChangeListener, setTitle, unlock`

Methods inherited from class org.jhotdraw.standard.CompositeFigure
`addAll, addAll, basicMoveBy, bringToFront, containsFigure, draw, draw, figureAt, figureChanged, figureCount, figureRemoved, figureRequestRemove, figures, figures, figuresReverse, findFigure, findFigure, findFigure, findFigureInside, findFigureInsideWithout, findFigureWithout, getFigureFromLayer, getLayer, includes, init, orphanAll, orphanAll, read, release, remove, removeAll, removeAll, removeAll, replace, sendToBack, sendToLayer, write`

Methods inherited from class org.jhotdraw.standard.AbstractFigure
`addDependendFigure, addFigureChangeListener, addToContainer, canConnect, center, changed, clone, connectedTextLocator, connectionInsets, connectorAt, connectorVisibility, containsPoint, decompose, displayBox, displayBox, getAttribute, getAttribute, getDecoratedFigure, getDependendFigures, getTextHolder, getZValue, invalidate, invalidateRectangle, isEmpty, listener, moveBy, removeDependendFigure, removeFigureChangeListener, removeFromContainer, setAttribute, setAttribute, setZValue, size, visit, willChange`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.musoft.limo.model.ModelListener
`onAddAssociate, onAddChild, onRemoveAssociate, onRemoveChild, onSetAttribute, onSetAttribute, onSetBounds, onSetConnectionEnd, onSetConnectionPoints, onSetConnectionStart, onSetDirty, onSetName, onSetParent, onSetPosition`

Methods inherited from interface org.jhotdraw.framework.Drawing
`addAll, addAll, bringToFront, containsFigure, draw, draw, figures, figures, figuresReverse, findFigure, findFigure, findFigure, findFigureInside, findFigureInsideWithout, findFigureWithout, getFigureFromLayer, getLayer, includes, init, orphanAll, orphanAll, release, remove, removeAll, removeAll, replace, sendToBack, sendToLayer`

Methods inherited from interface org.jhotdraw.util.Storable
`read, write`

Methods inherited from interface org.jhotdraw.framework.FigureChangeListener
`figureChanged, figureRemoved, figureRequestRemove`

Constructor Detail

### MiningMartDrawing

    public MiningMartDrawing(MiningMartApplication app,
                             MiningMartCase root)

  Constructor for MiningMartDrawing.

### MiningMartDrawing

    public MiningMartDrawing(MiningMartApplication app,
                             MiningMartChain root)

  Constructor for MiningMartDrawing.

### MiningMartDrawing

    public MiningMartDrawing(MiningMartApplication app,
                             MiningMartConcepts root)

  Constructor for MiningMartConcepts.

Method Detail

### onCreateChild

    public void onCreateChild(org.musoft.limo.model.ModelFigureElement sender,
                              org.musoft.limo.model.ModelElement child)

  Specified by:
    `onCreateChild` in interface `org.musoft.limo.model.ModelListener`
  See Also:
    `org.musoft.limo.model.ModelDrawing#onCreateChild(ModelFigureElement,ModelElement)`

### onCreateConnection

    public void onCreateConnection(org.musoft.limo.model.Model model,
                                   org.musoft.limo.model.ModelConnectionElement connection)

  Specified by:
    `onCreateConnection` in interface `org.musoft.limo.model.ModelListener`
  See Also:
    `org.musoft.limo.model.ModelDrawing#onCreateChild(Model,ModelConnectionElement)`

### onDestroy

    public void onDestroy(org.musoft.limo.model.ModelElement sender)

  Specified by:
    `onDestroy` in interface `org.musoft.limo.model.ModelListener`
  See Also:
    `ModelListener.onDestroy(ModelElement)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005